package com.bonus.canteen.core.device.manage.model;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;

@TableName("basics_app_update")
@ApiModel("app更新")
public class BasicsAppUpdate {
   private static final long serialVersionUID = 1L;
   @ApiModelProperty("主键id")
   private Long id;
   @ApiModelProperty("来源")
   private Integer sourceType;
   @ApiModelProperty("设备型号")
   private String deviceModel;
   @ApiModelProperty("app版本")
   private int appVersionCode;
   @ApiModelProperty("app名称")
   private String appVersionName;
   @ApiModelProperty("app下载地址")
   private String appUpdateUrl;
   @ApiModelProperty("是否强制更新")
   private int ifUpdateMust;
   @ApiModelProperty("乐观锁")
   private Integer revision;
   @ApiModelProperty("创建人")
   private String crby;
   @ApiModelProperty("创建时间")
   private LocalDateTime crtime;
   @ApiModelProperty("更新人")
   private String upby;
   @ApiModelProperty("更新时间")
   private LocalDateTime uptime;

   public Long getId() {
      return this.id;
   }

   public Integer getSourceType() {
      return this.sourceType;
   }

   public String getDeviceModel() {
      return this.deviceModel;
   }

   public int getAppVersionCode() {
      return this.appVersionCode;
   }

   public String getAppVersionName() {
      return this.appVersionName;
   }

   public String getAppUpdateUrl() {
      return this.appUpdateUrl;
   }

   public int getIfUpdateMust() {
      return this.ifUpdateMust;
   }

   public Integer getRevision() {
      return this.revision;
   }

   public String getCrby() {
      return this.crby;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public String getUpby() {
      return this.upby;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public void setId(final Long id) {
      this.id = id;
   }

   public void setSourceType(final Integer sourceType) {
      this.sourceType = sourceType;
   }

   public void setDeviceModel(final String deviceModel) {
      this.deviceModel = deviceModel;
   }

   public void setAppVersionCode(final int appVersionCode) {
      this.appVersionCode = appVersionCode;
   }

   public void setAppVersionName(final String appVersionName) {
      this.appVersionName = appVersionName;
   }

   public void setAppUpdateUrl(final String appUpdateUrl) {
      this.appUpdateUrl = appUpdateUrl;
   }

   public void setIfUpdateMust(final int ifUpdateMust) {
      this.ifUpdateMust = ifUpdateMust;
   }

   public void setRevision(final Integer revision) {
      this.revision = revision;
   }

   public void setCrby(final String crby) {
      this.crby = crby;
   }

   public void setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
   }

   public void setUpby(final String upby) {
      this.upby = upby;
   }

   public void setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
   }

}
